> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apimart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# seedance-1-5-pro 视频生成

>  - 异步处理模式，返回任务ID用于后续查询
- 支持文本转视频、图生视频（首帧/尾帧）
- 支持音频生成
- 支持横屏、竖屏、方形多种比例 

```bash cURL theme={null}
curl --request POST \
  --url https://api.apimart.ai/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-1-5-pro",
    "prompt": "一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮",
    "duration": 5,
    "aspect_ratio": "16:9",
    "resolution": "720p",
    "audio": true
  }'
```

```python Python theme={null}
import requests

url = "https://api.apimart.ai/v1/videos/generations"

payload = {
    "model": "seedance-1-5-pro",
    "prompt": "一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮",
    "duration": 5,
    "aspect_ratio": "16:9",
    "resolution": "720p",
    "audio": True
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript JavaScript theme={null}
const url = "https://api.apimart.ai/v1/videos/generations";

const payload = {
  model: "seedance-1-5-pro",
  prompt: "一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮",
  duration: 5,
  aspect_ratio: "16:9",
  resolution: "720p",
  audio: true
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
```

```go Go theme={null}
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.apimart.ai/v1/videos/generations"

    payload := map[string]interface{}{
        "model":        "seedance-1-5-pro",
        "prompt":       "一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮",
        "duration":     5,
        "aspect_ratio": "16:9",
        "resolution":   "720p",
        "audio":        true,
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
```

```java Java theme={null}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://api.apimart.ai/v1/videos/generations";

        String payload = """
        {
          "model": "seedance-1-5-pro",
          "prompt": "一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮",
          "duration": 5,
          "aspect_ratio": "16:9",
          "resolution": "720p",
          "audio": true
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
```

```php PHP theme={null}
<?php

$url = "https://api.apimart.ai/v1/videos/generations";

$payload = [
    "model" => "seedance-1-5-pro",
    "prompt" => "一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮",
    "duration" => 5,
    "aspect_ratio" => "16:9",
    "resolution" => "720p",
    "audio" => true
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
```

```ruby Ruby theme={null}
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.apimart.ai/v1/videos/generations")

payload = {
  model: "seedance-1-5-pro",
  prompt: "一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮",
  duration: 5,
  aspect_ratio: "16:9",
  resolution: "720p",
  audio: true
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
```

```swift Swift theme={null}
import Foundation

let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!

let payload: [String: Any] = [
    "model": "seedance-1-5-pro",
    "prompt": "一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮",
    "duration": 5,
    "aspect_ratio": "16:9",
    "resolution": "720p",
    "audio": true
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
```

```csharp C# theme={null}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://api.apimart.ai/v1/videos/generations";

        var payload = @"{
            ""model"": ""seedance-1-5-pro"",
            ""prompt"": ""一只可爱的小猫在阳光下玩耍，毛发蓬松，眼睛明亮"",
            ""duration"": 5,
            ""aspect_ratio"": ""16:9"",
            ""resolution"": ""720p"",
            ""audio"": true
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
```

```json 200 theme={null}
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01K8SGYNNNVBQTXNR4MM964S7K"
    }
  ]
}
```

```json 400 theme={null}
{
  "error": {
    "code": 400,
    "message": "请求参数无效",
    "type": "invalid_request_error"
  }
}
```

```json 401 theme={null}
{
  "error": {
    "code": 401,
    "message": "身份验证失败，请检查您的API密钥",
    "type": "authentication_error"
  }
}
```

```json 402 theme={null}
{
  "error": {
    "code": 402,
    "message": "账户余额不足，请充值后再试",
    "type": "payment_required"
  }
}
```

```json 429 theme={null}
{
  "error": {
    "code": 429,
    "message": "请求过于频繁，请稍后再试",
    "type": "rate_limit_error"
  }
}
```

```json 500 theme={null}
{
  "error": {
    "code": 500,
    "message": "服务器内部错误，请稍后重试",
    "type": "server_error"
  }
}
```

## 认证

**Authorization** `string` *required*

所有接口均需要使用 Bearer Token 进行认证

获取 API Key：

访问 [API Key 管理页面](https://apimart.ai/keys) 获取您的 API Key

使用时在请求头中添加：

```
Authorization: Bearer YOUR_API_KEY
```

## 请求参数

**model** `string` *required*

视频生成模型名称

支持的模型：

* `seedance-1-5-pro` - 1.5 Pro 版，支持音频生成和首尾帧

**nsfw\_check** `boolean` (default: false)

是否在提交视频任务前执行内容审核。

* `true`：使用 `omni-moderation-latest` 审核提示词和输入图片
* `false` 或不传：不发起审核请求，不增加审核成本与延迟（默认）

**prompt** `string` *required*

视频内容描述

建议详细描述场景、动作、风格等，以获得更好的生成效果

示例：`"海边日落，金色阳光洒在海面上，海浪轻轻拍打沙滩"`

**duration** `integer` (default: 5)

视频时长（秒）

支持范围：`4` \~ `12` 秒

默认值：`5`

**aspect\_ratio** `string` (default: 16:9)

视频宽高比

可选值：

* `16:9` - 横屏
* `9:16` - 竖屏
* `1:1` - 方形
* `4:3` - 传统比例
* `3:4` - 竖向传统比例
* `21:9` - 超宽屏

默认值：`16:9`

**resolution** `string` (default: 720p)

视频分辨率

可选值：

* `480p` - 标清
* `720p` - 高清
* `1080p` - 全高清

默认值：`720p`

**seed** `integer`

种子整数，用于控制生成内容的随机性

取值范围：`-1` \~ `2^32-1` 之间的整数

> [!NOTE]
>
> * 相同的请求下，模型收到不同的 seed 值（如：不指定 seed 值或令 seed 取值为 -1，会使用随机数替代），将生成不同的结果
> * 相同的请求下，模型收到相同的 seed 值，会生成类似的结果，但不保证完全一致

**audio** `boolean` (default: true)

是否生成音频

设置为 `true` 时，视频将包含 AI 生成的配套音频

默认值：`true`

> [!NOTE]
>
> 音频生成仅 Seedance 2.0 系列、Seedance 1.5 Pro 支持

**camerafixed** `boolean` (default: false)

是否固定摄像头

设置为 `true` 时，摄像头位置保持固定

默认值：`false`

## 分辨率与宽高比组合

| 分辨率 | 支持的宽高比 | 备注 |
| - | - | - |
| 480p | 16:9, 4:3, 1:1, 3:4, 9:16, 21:9 | 全部支持 |
| 720p | 16:9, 4:3, 1:1, 3:4, 9:16, 21:9 | 全部支持 |
| 1080p | 16:9, 4:3, 1:1, 3:4, 9:16, 21:9 | 全部支持 |

**image\_urls** `array\<url\>`

图片 URL 数组，用于图生视频

自动分配角色规则：

* 1张 = 首帧
* 2张 = 首帧 + 尾帧

示例：`["https://example.com/first.png", "https://example.com/last.png"]`

> [!WARNING]
>
> * `image_urls` 和 `image_with_roles` 不能同时使用

**image\_with\_roles** `array`

带角色的图片数组，支持更精细的控制

**字段说明**

**url** `string` *required*

图片 URL 地址

**role** `string` *required*

图片角色

可选值：

* `first_frame` - 首帧图，作为视频起始画面（仅支持一张）
* `last_frame` - 尾帧图，作为视频结束画面（仅支持一张）

示例：

```json theme={null}
[
  {"url": "https://example.com/start.png", "role": "first_frame"},
  {"url": "https://example.com/end.png", "role": "last_frame"}
]
```

> [!WARNING]
>
> * `image_urls` 和 `image_with_roles` 不能同时使用
> * 首帧和尾帧仅支持各一张

## 响应

**code** `integer`

响应状态码，成功时为 200

**data** `array`

返回数据数组

**数组元素**

**status** `string`

任务状态，初始提交时为 `submitted`

**task\_id** `string`

任务唯一标识符，用于查询任务状态和结果

## 使用场景

### 场景 1：带音频的文生视频

```json theme={null}
{
  "model": "seedance-1-5-pro",
  "prompt": "海边日落，金色阳光洒在海面上，海浪轻轻拍打沙滩",
  "audio": true
}
```

### 场景 2：高质量竖屏短视频

```json theme={null}
{
  "model": "seedance-1-5-pro",
  "prompt": "一位女孩在樱花树下旋转，花瓣随风飘落",
  "duration": 5,
  "aspect_ratio": "9:16",
  "resolution": "720p",
  "audio": true
}
```

### 场景 3：基于首帧生成动态视频

```json theme={null}
{
  "model": "seedance-1-5-pro",
  "prompt": "让画面动起来，添加自然的动态效果",
  "image_urls": ["https://example.com/first.png"],
  "duration": 5,
  "audio": true
}
```

### 场景 4：首尾帧控制的转场效果

```json theme={null}
{
  "model": "seedance-1-5-pro",
  "prompt": "画面从白天逐渐过渡到夜晚，城市灯光逐渐亮起",
  "image_with_roles": [
    {"url": "https://example.com/day.png", "role": "first_frame"},
    {"url": "https://example.com/night.png", "role": "last_frame"}
  ],
  "duration": 5
}
```

> [!NOTE]
>
> **查询任务结果**
>
> 视频生成为异步任务，提交后会返回 `task_id`。使用 [获取任务状态](/cn/api-reference/tasks/status.md) 接口查询生成进度和结果。

## 与 1.0 版本的差异

| 特性 | 1.0 fast/quality | 1.5 Pro |
| - | - | - |
| 默认分辨率 | 1080p | **720p** |
| 支持分辨率 | 480p/720p/1080p | **480p/720p/1080p** |
| 时长范围 | 2-12秒 | **4-12秒** |
| 音频生成 | 不支持 | **支持** |
| 参考图 | `reference` (1张) | 不支持 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.